org.eclipse.jgit.revwalk

## Class FooterKey

- java.lang.Object
- - org.eclipse.jgit.revwalk.FooterKey

    public final class FooterKey
    extends Object

Case insensitive key for a `FooterLine`.

### Field Summary

Fields
`static FooterKey` `ACKED_BY` Standard `Acked-by`
`static FooterKey` `CC` Standard `CC`
`static FooterKey` `SIGNED_OFF_BY` Standard `Signed-off-by`

### Constructor Summary

Constructors
Constructor and Description
`FooterKey(String keyName)` Create a key for a specific footer line.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIGNED_OFF_BY

    public static final FooterKey SIGNED_OFF_BY

Standard `Signed-off-by`

#### ACKED_BY

    public static final FooterKey ACKED_BY

Standard `Acked-by`

#### CC

    public static final FooterKey CC

Standard `CC`

### Constructor Detail

#### FooterKey

    public FooterKey(String keyName)

Create a key for a specific footer line.

Parameters:
  `keyName` - name of the footer line.

### Method Detail

#### getName

    public String getName()

Returns:
  name of this footer line.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`